Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve
Class InnerApproximation

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.InnerApproximation

    public class InnerApproximation

extends java.lang.Object

This class is for inner-approximating the equilibrium set V* from smaller sets, by applying the Abreu-Sannikov operator to sets inside the calculated V*.

Constructor Summary
`private` | `InnerApproximation()` private constructor

Method Summary
`static RGSolution` | `getInnerApproximationSolution(Game game, AlgoParameters params, Point[] W0, double scale)` This method returns the inner approximation solution implied by the set `W0`.
`static RGSolution` | `getInnerApproximationSolution(RGSolution soln, double scale)` This method returns the inner approximation solution implied by the solution `soln`.
`static Point[]` | `shrinkSet(Point[] W, double scale)` "Shrinks" the set `W` by contracting each vertex v towards the point q, i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InnerApproximation

    private InnerApproximation()

  private constructor

Method Detail

### getInnerApproximationSolution

    public static RGSolution getInnerApproximationSolution(RGSolution soln,
                                                           double scale)

  This method returns the inner approximation solution implied by the solution `soln`. In particular, we shrink the set `soln.V_star` by `scale` and apply the AS (or APS) operator until convergence.

  Parameters:
    `soln` - a solved game
    `scale` - the shrinkage factor
  Returns:
    the inner approximation solution

### getInnerApproximationSolution

    public static RGSolution getInnerApproximationSolution(Game game,
                                                           AlgoParameters params,
                                                           Point[] W0,
                                                           double scale)

  This method returns the inner approximation solution implied by the set `W0`. In particular, we shrink the set `W0` by `scale` and apply the AS (or APS) operator until convergence.

  Parameters:
    `game` - the game to be solved by inner-approximation
    `params` - solver settings
    `W0` - initial set, to be shrunken
    `scale` - the shrinkage factor
  Returns:
    the inner approximation solution

### shrinkSet

    public static Point[] shrinkSet(Point[] W,
                                    double scale)

  "Shrinks" the set `W` by contracting each vertex v towards the point q, i.e. v' = (1-`scale`) * v + `scale` * `e`, where `e` is the mean of vertices of `W`.

  Parameters:
    `W` - the set (polygon) to shrink
    `scale` - shrinkage parameter in [0,1)
  Returns:
    the shrunken set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD